# DB Migrate

Small tool(s) to manage database migrations in various languages.

## Usage

```
Usage:
  db_migrate [options] create <migration-name>
  db_migrate [options] up [<count>]
  db_migrate [options] down [<count>]
  db_migrate [options] init <schema-name>
  db_migrate (-V | --version)
  db_migrate (-h | --help)

Options:
  -c --config <config-file>   Use the given configuration file (defaults to
                              "database.properties").
  -q --quiet                  Suppress log information.
  -v --verbose                Print detailed log information.
     --very-verbose           Print very detailed log information.
  -V --version                Print the tools version information.
  -h --help                   Print this usage information.
```


## Database Config Format

The database config is formatted as JSON. The following keys are supported by
all of the implementations:

* `sqlDir` -- Directory to store SQL files.

The following keys are supported by the Nim implementation:

* `connectionString` -- 
